bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: new snapshot [Re: coreutils 6.9.92 fail to configure on *bsd


From: Jim Meyering
Subject: Re: new snapshot [Re: coreutils 6.9.92 fail to configure on *bsd
Date: Sat, 26 Jan 2008 17:34:17 +0100

Elias Pipping <address@hidden> wrote:

> On Sat, Jan 26, 2008 at 03:36:23PM +0100, Jim Meyering wrote:
>> Please see if this makes the test pass:
>>
>>      Avoid cp/preserve-gid test failure on Mac OS 10.5.1 (Darwin 9.1)
>>      * tests/cp/preserve-gid: Set group as well as owner on ".".
>>      Reported by Elias Pipping.
>>
>> diff --git a/tests/cp/preserve-gid b/tests/cp/preserve-gid
>> index 5f2c050..9537dc0 100755
>> --- a/tests/cp/preserve-gid
>> +++ b/tests/cp/preserve-gid
>> @@ -1,7 +1,7 @@
>>  #!/bin/sh
>>  # Verify that cp -p preserves GID when it is possible.
>>
>> -# Copyright (C) 2007 Free Software Foundation, Inc.
>> +# Copyright (C) 2007, 2008 Free Software Foundation, Inc.
>>
>>  # This program is free software: you can redistribute it and/or modify
>>  # it under the terms of the GNU General Public License as published by
>> @@ -61,7 +61,7 @@ if test -z "$nameless_uid" \
>>    skip_test_ "couldn't find a nameless UID or GID"
>>  fi
>>
>> -chown "+$nameless_uid" .
>> +chown "+$nameless_uid:+0" .
>>
>>  create a0 0 0
>>  create b0 "$nameless_uid" "$nameless_gid1"
>
> The test still fails, but it gets a whole lot further :D

Good.  Progress :)
Here's an additional patch that should get us past the latest failure.

diff --git a/tests/cp/preserve-gid b/tests/cp/preserve-gid
index 9537dc0..15bb51c 100755
--- a/tests/cp/preserve-gid
+++ b/tests/cp/preserve-gid
@@ -33,8 +33,14 @@ t0() {
   "$@" "$f" b || exit 1
   s=`stat -c '%u %g' b`
   if test "x$s" != "x$u $g"; then
-    echo "$0: $* $f b: $u $g != $s" 1>&2
-    (exit 1); exit 1
+    # Allow the actual group to match that of the parent (set to 0 above)
+    # if the command was "cp".
+    if test "$@:$s" = "cp:$u 0"; then
+      :
+    else
+      echo "$0: $* $f b: $u $g != $s" 1>&2
+      (exit 1); exit 1
+    fi
   fi
 }




reply via email to

[Prev in Thread] Current Thread [Next in Thread]